#ifndef APA102_APA102_H_
#define APA102_APA102_H_


#define APA102_DDR DDRB
#define APA102_PORT PORTB
#define APA102_CLK PB1
#define APA102_DATA PB2
#define APA102_CLK_1 APA102_PORT |= (1<<APA102_CLK)
#define APA102_CLK_0 APA102_PORT &= ~(1<<APA102_CLK)
#define APA102_DATA_1 APA102_PORT |= (1<<APA102_DATA)
#define APA102_DATA_0 APA102_PORT &= ~(1<<APA102_DATA)
#define APA102_AS_OUTPUTS APA102_DDR |= (1<<APA102_CLK)|(1<<APA102_DATA)

void APA102Init(void);
void APA102StartTrans(void);
void APA102StopTrans(uint16_t numberOfLeds);
void APA102SendRGBdata(uint8_t Brightness, uint8_t R, uint8_t G, uint8_t B);


#endif /* APA102_APA102_H_ */
